{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}

{% block styles %}

<link rel="stylesheet" href="{% static 'assets/dashboard/css/vendor/smart_wizard.min.css' %}" />
<link rel="stylesheet" href="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css" />
<link rel="stylesheet" href="{% static 'markdown/editor.css' %}" />
<link rel="stylesheet" href="{% static 'numbertype/numbertype.css' %}" />
<link rel="stylesheet" href="{% static 'fu/css/jquery.fileupload.css' %}" />
<link rel="stylesheet" href="{% static 'fu/css/jquery.fileupload-ui.css' %}" />
<link rel="stylesheet" href="{% static 'assets/css/video.css' %}" />


{% endblock %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">

            <h1>Account Management</h1>
            <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                <ol class="breadcrumb pt-0">
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:home' %}">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-list' %}">Applications</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Application ID [ {{ application.sku }} ]</li>
                </ol>
            </nav>
            <div class="separator mb-5"></div>
        </div>
    </div>
</div>


<div class="container-fluid">
    <div class="row">
        <div class="col-12 col-lg-12 mb-5">
            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="mb-4">Manipulate information</h5>

                    {% if messages %}
                        {% for message in messages %}
                            {% if 'error' in message.tags %}
                                <div class="alert alert-danger">
                            {% else %}
                                <div class="alert alert-{{ message.tags }}">
                            {% endif %}
                                <li {% if message.tags %}class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                            </div>
                        {% endfor %}
                    {% endif %}

                    <div id="smartWizardDeneb">
                        <ul class="card-header" style="justify-content: space-between;">
                            <li><a href="#dotStep-1">Profile<br /><small>Complete user profile form</small></a></li>
                            <li><a href="#dotStep-2">Application<br /><small>Finalize application</small></a></li>
                            <li><a href="#dotStep-3">Project<br /><small>Complete project profile detail</small></a></li>
                            <li><a href="#dotStep-4">Team<br /><small>Add your team mates to the project</small></a></li>
                            <li><a href="#dotStep-5">Preview<br /><small>Preview what you did</small></a></li>
                            <li><a href="#dotStep-6">Result<br /><small>Your Deneb Result</small></a></li>
                        </ul>
                        

                        <div class="deneb-form-detail">
                            <div id="dotStep-1">
                               {% include 'dashboard/partials/steps/01-step.html' %}
                            </div>
                            <div id="dotStep-2">
                                {% if request.user.profile.is_published %}
                                    {% include 'dashboard/partials/steps/02-step.html' %}
                                {% else %}
                                    <h4 class="pb-2">Application</h4>
                                    <div>Profile is not finalized.</div>
                                {% endif %}
                            </div>
                            <div id="dotStep-3">
                                {% if application.project %}
                                    {% include 'dashboard/partials/steps/03-step.html' %}
                                {% else %}
                                    <h4 class="pb-2">Project</h4>
                                    <div>Application Is not complete yet</div>
                                {% endif %}
                            </div>
                            <div id="dotStep-4">
                                {% if application.project %}
                                    {% if application.project.is_published %}
                                        {% include 'dashboard/partials/steps/04-step.html' %}
                                    {% else %}
                                        <h4 class="pb-2">Team</h4>
                                        <div>Project is not finalized.</div>
                                    {% endif %}
                                {% else %}
                                    <h4 class="pb-2">Project</h4>
                                    <div>Application has no project.</div>
                                {% endif %}
                            </div>
                            <div id="dotStep-5">
                                {% if application.project %}
                                    {% if application.project.is_published %}
                                        {% include 'dashboard/partials/steps/05-step.html' %}
                                    {% else %}
                                        <h4 class="pb-2">Project</h4>
                                        <div>Project is not finalized.</div>
                                    {% endif %}
                                {% else %}
                                    <h4 class="pb-2">Project</h4>
                                    <div>Application has no project to preview.</div>
                                {% endif %}
                            </div>
                            <div id="dotStep-6">
                                <div class="alert alert-info" role="alert">
                                    <h4 class="pb-2">Deneb Result Message:</h4>
                                    {% if application.project %}
                                        {% if application.project.is_published and application.project.is_shown %}
                                            <p>Dear {{ user.username }},</p>
                                            <p>Congratulations, you have complete all of your important information. We will contact you soon with final result of your application. <br/>
                                                Please, be patience for result.
                                            </p>
                                            <p>Best Regards,</p>
                                        {% else %}
                                            <div>To see deneb result, you must complete all steps.</div>
                                        {% endif %}
                                    {% else %}
                                            <div>At first you must complete your application.</div>
                                    {% endif %}
                                </div>
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{% if application.project %}
    <div class="container">
        <div class="modal fade" id="check-team" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Warning</h4>
                    </div>
                    <div class="modal-body">
                            <p>After finalizing your team you can not modify your team anymore. Are you sure to finalize team?</p>
                    </div>
    
                    <div class="modal-footer">
                        <form method="POST" id="project-team-published" action="{% url 'dashboard:project-team-published' application.sku application.project.sku %}" novalidate>
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha-team'>
                            <input type="hidden" name="user" class="form-control invisible" required="" value={{ request.user.pk }} />
                            <input type="hidden" name="is_published" class="form-control invisible" required="" value='true' />
                            <button style="float: right;" type="submit" class="btn btn-info">Yes</button>
                        </form>
                        <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                    </div>
                </div>
            </div>
        </div>
    </div> 
{% endif %}

<div class="modal fade" id="modal-progress" data-backdrop="static" data-keyboard="false" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Uploading...</h4>
            </div>
            <div class="modal-body">
                <div class="progress" style="height: 20px;">
                    <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: 75%">>0%</div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block scripts %}
    <script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
    <script>
        grecaptcha.ready(function() {
            $('#profile-draft').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#profile-published').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#project-team-published').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha-team').val(token)
                    form.submit()
                });
            })

        });
    </script>






    <script src="{% static 'assets/dashboard/js/vendor/jquery.smartWizard.min.js' %}"></script>
    <script src="{% static 'assets/dashboard/js/vendor/bootstrap-notify.min.js' %}"></script>

    <script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
    <script>
        grecaptcha.ready(function() {
            $('#application-draft').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })
        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#application-published').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>

    <!-- SmartWizzard Deneb -->
    <script>
        $('#smartWizardDeneb').smartWizard({
            selected: parseInt('{{ current_step }}'),
            theme: 'default',
            transitionEffect: 'fade',
            showStepURLhash: false,
            toolbarSettings: {
                toolbarPosition: 'bottom',
                toolbarButtonPosition: 'right', 
                showNextButton: false,
                showPreviousButton: false,
                toolbarExtraButtons: []
            },
            keyNavigation: false,
            keyboardSettings: {
                keyNavigation: false,

            },
        });
    </script>
    
    <script>
        $(document).ready(function(){
            var i = 1;
            $('#add').click(function(){
                i++;
                $('')
            })
        })
    </script>

    


    <script>
        $(document).ready(function(){
            
            $(document).on('click', '.add', function(){
                var html = '';
                html += '<tr>';
                html += '<td><input type="text" name="item_fname" class="form-control item_fname" /></td>';
                html += '<td><input type="text" name="item_lname" class="form-control item_lname" /></td>';
                html += '<td><input type="text" name="item_position" class="form-control item_position" /></td>';
                html += '<td><input type="text" name="item_phone" class="form-control item_phone" /></td>';
                html += '<td><input type="text" name="item_email" class="form-control item_email" /></td>';
                html += '<td><button type="button" name="remove" class="btn btn-danger btn-sm remove"><span class="simple-icon-minus"></span></button></td>';
                html += '</tr>';
                $('#item_table').append(html);
            });

            $(document).on('click', '.remove', function(){
                $(this).closest('tr').remove();
            });

            $('#insert_form').on('submit', function(event){
                event.preventDefault();
                var error = '';

                $('.item_fname').each(function(){
                    var count = 1;
                    if($(this).val() == '')
                    {
                        error += "<p>Enter First Name at "+count+" Row</p>";
                        return false;
                    }
                    count = count + 1;
                });

                $('.item_lname').each(function(){
                    var count = 1;
                    if($(this).val() == '')
                    {
                        error += "<p>Enter Last Name at "+count+" Row</p>";
                        return false;
                    }
                    count = count + 1;
                });

                $('.item_position').each(function(){
                    var count = 1;
                    if($(this).val() == '')
                    {
                        error += "<p>Enter position at "+count+" Row</p>";
                        return false;
                    }
                    count = count + 1;
                });

                $('.item_phone').each(function(){
                    var count = 1;
                    if($(this).val() == '')
                    {
                        error += "<p>Enter position at "+count+" Row</p>";
                        return false;
                    }
                    count = count + 1;
                });

                $('.item_email').each(function(){
                    var count = 1;
                    if($(this).val() == '')
                    {
                        error += "<p>Enter position at "+count+" Row</p>";
                        return false;
                    }
                    count = count + 1;
                });

                var form_data = $(this).serialize();
                if(error == ''){
                    $.ajax({
                        data:form_data,
                        success:function(data){
                            if(data == 'ok'){
                                $('#item_table').find("tr:gt(0)").remove();
                                $('#error').html('<div class="alert alert-success">Team Members Saved</div>');
                            }
                        }
                    });
                }
                else{
                    $('#error').html('<div class="alert alert-danger">'+error+'</div>');
                }
            });
        });
    </script>

    <script>
        grecaptcha.ready(function() {
            $('#insert_form').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    

    <script src="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.js"></script>
    {% if application.project %}
    <script>
        var simplemde = new SimpleMDE({ 
            element: $("#id_summary")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],

        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_problem")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_solution")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_product")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_customer")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_business")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_market")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_competition")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_vision")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });

        var simplemde = new SimpleMDE({ 
            element: $("#id_founders")[0],
            hideIcons: ["image", "side-by-side", "fullscreen"],
        });
    </script>
    {% endif %}

    <script>
        $(document).ready(function(){
            var Value = $("#checkqatari option:selected").text();
                
            if(Value == 'Yes')
            {
                var html = '';
                html += '<tr>';
                html += '<td>{% render_field form.kafil_fname class="form-control" placeholder="First Name" required="" %}</td>';
                html += '<td>{% render_field form.kafil_lname class="form-control" placeholder="Last Name" required="" %}</td>';
                html += '<td>{% render_field form.kafil_email class="form-control" placeholder="example@domain.com" required="" %}</td>';
                html += '<td>{% render_field form.kafil_qatari_id type="number" class="form-control" placeholder="Qatari iD" required="" onKeyPress="if(this.value.length==11) return false;" %}</td>';
                html += '</tr>';
                $('#item_qataritable').append(html);
            }
            else{
                $('#item_qataritable').children().remove();
            }
            $("#checkqatari").change(function () {
                var Value = $("#checkqatari option:selected").text();
                
                if(Value == 'Yes')
                {
                    var html = '';
                    html += '<tr>';
                    html += '<td>{% render_field form.kafil_fname class="form-control" placeholder="First Name" required="" %}</td>';
                    html += '<td>{% render_field form.kafil_lname class="form-control" placeholder="Last Name" required="" %}</td>';
                    html += '<td>{% render_field form.kafil_email class="form-control" placeholder="example@domain.com" required="" %}</td>';
                    html += '<td>{% render_field form.kafil_qatari_id type="number" class="form-control" placeholder="Qatari iD" required="" onKeyPress="if(this.value.length==11) return false;" %}</td>';
                    html += '</tr>';
                    $('#item_qataritable').append(html);
                }
                else{
                    $('#item_qataritable').children().remove();
                }
            }); 
        $('input[type=number]').on('mousewheel', function(e) {
            $(e.target).blur();
        });
        $('input[type=number]').on('keydown', function(e) {
            if (e.which === 38 || e.which === 40) {
                e.preventDefault();
            }
        });
        })
        
    </script>

    <script>
    $(document).change(function(){
        $('input[type=number]').on('mousewheel', function(e) {
            $(e.target).blur();
        });
        $('input[type=number]').on('keydown', function(e) {
            if (e.which === 38 || e.which === 40) {
                e.preventDefault();
            }
        });
    })
    </script>
    <script src="{% static 'fu/js/vendor/jquery.ui.widget.js' %}"></script>
    <script src="{% static 'fu/js/jquery.iframe-transport.js' %}"></script>
    <script src="{% static 'fu/js/jquery.fileupload.js' %}"></script>
    <script>
        $(function () {
            $('input[type=file]').fileupload({
                
                start: function (e) {  /* 2. WHEN THE UPLOADING PROCESS STARTS, SHOW THE MODAL */
                    $('#progress-' + e.target.name).addClass("bg-warning")
                    $('#progress-' + e.target.name).removeClass("bg-danger")
                    $('#progress-' + e.target.name).removeClass("bg-success")
                    $('#progress-' + e.target.name).css("width", "30%")
                    $('#progress-' + e.target.name).text("")
                },
                progress: function (e, data) { // Called after uploading each chunk

                    var progress = parseInt(data.loaded / data.total * 100.0, 10);
                    $('#progress-' + e.target.name).css("width", "" + progress + "%")
                    $('#progress-' + e.target.name).text("")
                },
                done: function (e, data) {
                    $('#progress-' + e.target.name).removeClass("bg-warning")
                    $('#progress-' + e.target.name).removeClass("bg-danger")
                    $('#progress-' + e.target.name).addClass("bg-success")
                    $('#progress-' + e.target.name).text("File is Uploaded")
                    console.log(data)
                },
                fail: function (e, data) {
                    $('#progress-' + e.target.name).removeClass("bg-warning")
                    $('#progress-' + e.target.name).addClass("bg-danger")
                    $('#progress-' + e.target.name).text('FAILED : format must be mp4 and size must be bellow than 100 MB')
                    console.log(data)
                }
            });
        });

    </script>
    
    <script src="{% static 'assets/js/video.js' %}"></script>

{% endblock %}
